%define _with_DPM 1
%define _with_sharedfsalDPM 1
%define _unpackaged_files_terminate_build 0

Name:           dpm-nfs
Version:        0.6.2
Release:        1%{?dist}
Summary:        NFS 4.1/pNFS frontend to the Disk Pool Manager (DPM)
License:        LGPLv3
Group:          Applications/Internet
Url:            http://nfs-ganesha.sourceforge.net
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison%{?_isa}
BuildRequires:  byacc%{?_isa}
BuildRequires:  dpm-devel%{?_isa}
BuildRequires:  flex%{?_isa}
BuildRequires:  libtool%{?_isa}
BuildRequires:  m4%{?_isa}
BuildRequires:  pkgconfig%{?_isa}

%description
The dpm-nfs-server package provides the NFS 4.1/pNFS frontend to the Disk Pool
Manager (DPM) storage resource manager.

%package server
Summary:        NFS4.1/pNFS frontend to DPM
Group:          Applications/Internet
AutoReqProv:    no
Requires:       dpm-devel%{?_isa}
Requires:       dpm-libs%{?_isa}
%if %{?rhel}%{!?rhel:0} == 5
Requires:       portmap%{?_isa}
%endif

%description server
NFS 4.1/pNFS is a new version of the NFS protocol supporting strong 
authentication, sessions, locking, parallel data access, among many other
new features.
This package provides the NFS 4.1/pNFS frontend to the Disk Pool Manager (DPM)
storage resource manager.

%prep
%setup -q -n %{name}-%{version}

%build
aclocal;
autoreconf -i; 
libtoolize; 
CFLAGS="-I/usr/include/dpm" ./configure \
        --prefix=$RPM_BUILD_ROOT/usr \
        --with-fsal=DPM \
        --with-nfs4-minorversion=1 \
        --disable-nfsidmap \
        --with-pnfs=PARALLEL_FS \
        --program-transform-name='s/nfs-ganesha-dpm/dpm-nfs/g'

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig

make install

install -m 600 config_samples/dpm.ganesha.nfsd.conf	$RPM_BUILD_ROOT%{_sysconfdir}/dpm-nfs.conf
install -m 755 nfs-ganesha.dpm.init			$RPM_BUILD_ROOT%{_sysconfdir}/init.d/dpm-nfs
install -m 644 dpm-nfs.sysconfig			$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dpm-nfs

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(-,root,root,-)
%{_bindir}/dpm.ganesha.nfsd
%{_sysconfdir}/init.d/dpm-nfs
%config(noreplace) %{_sysconfdir}/dpm-nfs.conf
%config(noreplace) %{_sysconfdir}/sysconfig/dpm-nfs

%changelog
* Mon Apr 23 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.6.2-1
- Update for new upstream release

* Fri Dec 16 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.6.0-1
- Initial build
